Bug 92808 - [UPDATE] mail/mew: take maintainership & update to 4.2
Summary: [UPDATE] mail/mew: take maintainership & update to 4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrey Slusar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-04 16:30 UTC by hiroto.kagotani
Modified: 2006-02-09 21:03 UTC (History)
0 users

See Also:


Attachments
file.shar (13.89 KB, text/plain)
2006-02-04 16:30 UTC, hiroto.kagotani
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description hiroto.kagotani 2006-02-04 16:30:03 UTC
As mail/mew is not maintained, I take its maintainership.
Also, update it to version 4.2.

mail/mew-mule should be removed because mew version 4.2 does no longer support mule nor emacs19.

mail/mew-emacs20 should be marked as BROKEN because this update will conflict with current mew-emacs20.  I can not maintain mail/mew-emacs20 now.

The fix is SHAR of the whole port.  It is much smaller than DIFF.

Thanks.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2006-02-06 04:28:44 UTC
State Changed
From-To: open->feedback

> The fix is SHAR of the whole port.  It is much smaller than DIFF. 

Nevertheless, we prefer the diff -u output so that we can see what 
exactly is being changed before we check it in.  Thanks. 


Comment 2 Mark Linimon freebsd_committer freebsd_triage 2006-02-06 04:28:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->linimon
Comment 3 hiroto.kagotani 2006-02-06 14:02:48 UTC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Comment 4 Mark Linimon freebsd_committer freebsd_triage 2006-02-06 19:22:11 UTC
State Changed
From-To: feedback->open

Feedback received. 


Comment 5 Mark Linimon freebsd_committer freebsd_triage 2006-02-06 19:22:11 UTC
Responsible Changed
From-To: linimon->freebsd-ports-bugs
Comment 6 Andrey Slusar freebsd_committer 2006-02-08 21:00:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anray

I'll take it.
Comment 7 Andrey Slusar freebsd_committer 2006-02-09 21:03:48 UTC
State Changed
From-To: open->closed

Committed with changes. Thanks for submission!